Package org.bukkit.block.data.type

# Interface StructureBlock

All Superinterfaces:
  `BlockData`, `Cloneable`

public interface StructureBlock extends BlockData
'mode' represents the different modes in which this structure block may operate.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`StructureBlock.Mode`
Operating mode of a structure block.

## Method Summary

Modifier and Type
Method
Description
`@NotNull StructureBlock.Mode`
`getMode()`
Gets the value of the 'mode' property.
`void`
`setMode(@NotNull StructureBlock.Mode mode)`
Sets the value of the 'mode' property.

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, matches, merge`

## Method Details

### getMode

@NotNull @NotNull StructureBlock.Mode getMode()
Gets the value of the 'mode' property.

Returns:
  the 'mode' value

### setMode

void setMode(@NotNull @NotNull StructureBlock.Mode mode)
Sets the value of the 'mode' property.

Parameters:
  `mode` - the new 'mode' value